Bug 1310558 - SELinux is preventing /usr/sbin/xtables-multi from 'write' accesses on the file /run/lock/subsys/denyhosts.
SELinux is preventing /usr/sbin/xtables-multi from 'write' accesses on the fi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: denyhosts (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
abrt_hash:34f0030de125948fc9833d227f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 03:57 EST by Kevin R. Page
Modified: 2017-12-12 06:05 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:05:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin R. Page 2016-02-22 03:57:33 EST
Description of problem:
SELinux is preventing /usr/sbin/xtables-multi from 'write' accesses on the file /run/lock/subsys/denyhosts.

*****  Plugin leaks (86.2 confidence) suggests   *****************************

If you want to ignore xtables-multi trying to write access the denyhosts file, because you believe it should not need this access.
Then you should report this as a bug.  
You can generate a local policy module to dontaudit this access.
Do
# grep /usr/sbin/xtables-multi /var/log/audit/audit.log | audit2allow -D -M mypol
# semodule -i mypol.pp

*****  Plugin catchall (14.7 confidence) suggests   **************************

If you believe that xtables-multi should be allowed write access on the denyhosts file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep iptables /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:iptables_t:s0
Target Context                system_u:object_r:denyhosts_var_lock_t:s0
Target Objects                /run/lock/subsys/denyhosts [ file ]
Source                        iptables
Source Path                   /usr/sbin/xtables-multi
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    <Unknown>
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.3.5-300.fc23.x86_64 #1 SMP Mon
                              Feb 1 03:18:41 UTC 2016 x86_64 x86_64
Alert Count                   69
First Seen                    2015-11-14 15:07:18 GMT
Last Seen                     2016-02-22 08:52:19 GMT
Local ID                      a0899179-0ee9-4c87-9424-c39310865db9

Raw Audit Messages
type=AVC msg=audit(1456131139.609:409): avc:  denied  { write } for  pid=3838 comm="iptables" path="/run/lock/subsys/denyhosts" dev="tmpfs" ino=23198 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:object_r:denyhosts_var_lock_t:s0 tclass=file permissive=0


type=AVC msg=audit(1456131139.609:409): avc:  denied  { append } for  pid=3838 comm="iptables" path="/etc/hosts.deny" dev="dm-0" ino=4720538 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:object_r:net_conf_t:s0 tclass=file permissive=0


type=SYSCALL msg=audit(1456131139.609:409): arch=x86_64 syscall=execve success=yes exit=0 a0=558d214e3f10 a1=558d214e3ff0 a2=558d214e2b60 a3=7f2a49ebebd8 items=0 ppid=1004 pid=3838 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=iptables exe=/usr/sbin/xtables-multi subj=system_u:system_r:iptables_t:s0 key=(null)

Hash: iptables,iptables_t,denyhosts_var_lock_t,file,write


Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.3.5-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1259178
Comment 1 Lukas Vrabec 2016-02-25 10:32:08 EST
Looks like leaked file descriptor.
Comment 2 Jason Tibbitts 2016-02-25 13:14:32 EST
Yeah, almost certainly.  Thanks for reassigning this.
Comment 3 Arjen P. de Vries 2016-03-26 11:53:38 EDT
I can report the same problem happens in my FC23 machine.
Comment 4 ilmostro7 2016-11-03 22:04:50 EDT
This issue is reproducible on my RHEL7.3 system with `selinux-policy-3.13.1-102.el7_3.4.noarch` and `denyhosts-2.9-4.el7.noarch`. 

uname -r
3.10.0-514.el7.x86_64
Comment 5 Fedora End Of Life 2016-11-24 10:41:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Kevin R. Page 2016-12-01 04:30:35 EST
Has reoccurred on an upgraded F25 machine.
Comment 7 Fedora End Of Life 2017-11-16 13:42:50 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2017-12-12 06:05:15 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.